'''
    Title: GG Bots
    Version: 1.2
    Description: Make the bots use nade.
'''

# ==============================================================================
#   IMPORTS
# ==============================================================================
# Python imports


# EventScripts imports
import es, gamethread

# GunGame imports
import gungamelib

# ==============================================================================
#   ADDON REGISTRATION
# ==============================================================================
# Register this addon with EventScripts
info = es.AddonInfo()
info.name     = 'GG Bots'
info.version  = '1.2'
info.url      = ''
info.basename = 'gungame/custom_addons/gg_bots'
info.author   = 'addem1234'

# ==============================================================================
#  GLOBALS
# ==============================================================================

msg = gungamelib.getVariableValue('gg_bots_msg')

# ==============================================================================
#   GAME EVENTS
# ==============================================================================
def load():
    gg_bots = gungamelib.registerAddon('gg_bots')
    gg_bots.setDisplayName('GG Bots')
    if msg:
		gg_bots.loadTranslationFile()
		
def unload():
    gungamelib.unregisterAddon('gg_bots')
	
def round_start(ev):
	if msg:
		for userid in es.getUseridList():
			gungamelib.msg('gg_bots', userid, 'BotMsg')

def player_spawn(ev):
	userid = ev['userid']
	if es.isbot(userid):
		if gungamelib.getGlobal('isWarmup'):
			wep = gungamelib.getVariableValue('gg_warmup_weapon')
		
		if not gungamelib.getGlobal('isWarmup'):
			level = gungamelib.getPlayer(userid)['level']
			wep = gungamelib.getLevelWeapon(level)
		
		if wep == "hegrenade":
			usenade(userid)
			
def gg_levelup(ev):
	userid = ev['leveler']
	if es.isbot(userid):
		level = ev['new_level']
		wep = gungamelib.getLevelWeapon(level)
		if wep == "hegrenade":
			usenade(userid)
	
# ==============================================================================
#   HELPER FUNCTIONS
# ==============================================================================
def usenade(userid):
	es.sexec(userid, 'use weapon_hegrenade')
	gamethread.delayed(0.1, es.sexec,(userid, 'use weapon_hegrenade'))
	gamethread.delayed(0.2, es.sexec,(userid, 'use weapon_hegrenade'))
	gamethread.delayed(0.5, es.sexec,(userid, 'use weapon_hegrenade'))
	gamethread.delayed(1, es.sexec,(userid, 'use weapon_hegrenade'))
	gamethread.delayed(2, es.sexec,(userid, 'use weapon_hegrenade'))